return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local angle = percent*math.pi/2
    local rr = 0.9
    local er = 0.5

    page.layer.x = page.layer.x + offset

    if( percent < 0 ) then
        page:scale(0)
    else
        if( percent < er ) then
        	page:rotate(percent*rr*math.pi/2/er, 1, 0, 0)
        else
        	page:rotate(er*rr*math.pi/2/er, 1, 0, 0)
        end
    end
end
